From 203ef43599a75758683d1dfa6ab836a16e125014 Mon Sep 17 00:00:00 2001
From: Priyanka Saggu <priyankasaggu11929@gmail.com>
Date: Fri, 13 Sep 2024 14:40:31 +0530
Subject: [PATCH] bump golang.org/grpc to v1.56.3

---
 .../cloud.google.com/go/compute/LICENSE       | 206 ++++
 .../go/compute/metadata/LICENSE               | 206 ++++
 go.mod                                        |  27 +-
 go.sum                                        |  15 +-
 staging/src/k8s.io/api/go.mod                 |   3 +-
 staging/src/k8s.io/api/go.sum                 |   3 -
 .../src/k8s.io/apiextensions-apiserver/go.mod |  22 +-
 .../src/k8s.io/apiextensions-apiserver/go.sum | 182 +---
 staging/src/k8s.io/apimachinery/go.mod        |   7 +-
 staging/src/k8s.io/apimachinery/go.sum        | 175 +++-
 staging/src/k8s.io/apiserver/go.mod           |  22 +-
 staging/src/k8s.io/apiserver/go.sum           | 182 +---
 staging/src/k8s.io/cli-runtime/go.mod         |   9 +-
 staging/src/k8s.io/cli-runtime/go.sum         | 197 +---
 staging/src/k8s.io/client-go/go.mod           |  14 +-
 staging/src/k8s.io/client-go/go.sum           | 294 +-----
 staging/src/k8s.io/cloud-provider/go.mod      |  22 +-
 staging/src/k8s.io/cloud-provider/go.sum      | 197 +---
 staging/src/k8s.io/cluster-bootstrap/go.mod   |   1 +
 staging/src/k8s.io/cluster-bootstrap/go.sum   |   3 -
 .../src/k8s.io/code-generator/examples/go.sum | 928 +++++++++++++++++-
 staging/src/k8s.io/code-generator/go.mod      |   7 +-
 staging/src/k8s.io/code-generator/go.sum      | 171 +++-
 staging/src/k8s.io/component-base/go.mod      |  21 +-
 staging/src/k8s.io/component-base/go.sum      | 189 +---
 staging/src/k8s.io/component-helpers/go.mod   |   9 +-
 staging/src/k8s.io/component-helpers/go.sum   | 198 +---
 staging/src/k8s.io/controller-manager/go.mod  |  22 +-
 staging/src/k8s.io/controller-manager/go.sum  | 197 +---
 staging/src/k8s.io/cri-api/go.mod             |  16 +-
 staging/src/k8s.io/cri-api/go.sum             | 174 +++-
 staging/src/k8s.io/csi-translation-lib/go.mod |   1 +
 staging/src/k8s.io/csi-translation-lib/go.sum |   3 -
 staging/src/k8s.io/kube-aggregator/go.mod     |  22 +-
 staging/src/k8s.io/kube-aggregator/go.sum     | 197 +---
 .../src/k8s.io/kube-controller-manager/go.mod |   4 +
 .../src/k8s.io/kube-controller-manager/go.sum |   6 +-
 staging/src/k8s.io/kube-proxy/go.mod          |   6 +-
 staging/src/k8s.io/kube-proxy/go.sum          |   5 +-
 staging/src/k8s.io/kube-scheduler/go.mod      |   6 +-
 staging/src/k8s.io/kube-scheduler/go.sum      |   5 +-
 staging/src/k8s.io/kubectl/go.mod             |   9 +-
 staging/src/k8s.io/kubectl/go.sum             | 195 +---
 staging/src/k8s.io/kubelet/go.mod             |  17 +-
 staging/src/k8s.io/kubelet/go.sum             | 172 +++-
 .../src/k8s.io/legacy-cloud-providers/go.mod  |  32 +-
 .../src/k8s.io/legacy-cloud-providers/go.sum  | 287 +-----
 staging/src/k8s.io/metrics/go.mod             |   9 +-
 staging/src/k8s.io/metrics/go.sum             | 198 +---
 staging/src/k8s.io/mount-utils/go.mod         |   1 +
 staging/src/k8s.io/mount-utils/go.sum         |   2 +-
 .../src/k8s.io/pod-security-admission/go.mod  |  22 +-
 .../src/k8s.io/pod-security-admission/go.sum  | 197 +---
 staging/src/k8s.io/sample-apiserver/go.mod    |  22 +-
 staging/src/k8s.io/sample-apiserver/go.sum    | 197 +---
 staging/src/k8s.io/sample-cli-plugin/go.mod   |   7 +-
 staging/src/k8s.io/sample-cli-plugin/go.sum   | 197 +---
 staging/src/k8s.io/sample-controller/go.mod   |   9 +-
 staging/src/k8s.io/sample-controller/go.sum   | 198 +---
 .../cloud.google.com/go/{ => compute}/LICENSE |   0
 .../go/compute/internal/version.go            |  18 +
 .../go/compute/metadata/CHANGES.md            |  19 +
 .../go/compute/metadata}/LICENSE              |   4 -
 .../go/compute/metadata/README.md             |  27 +
 .../go/compute/metadata/metadata.go           |  31 +-
 .../go/compute/metadata/tidyfix.go            |  23 +
 vendor/google.golang.org/grpc/CONTRIBUTING.md |  25 +-
 .../grpc/attributes/attributes.go             |  31 +-
 vendor/google.golang.org/grpc/backoff.go      |   2 +-
 .../grpc/balancer/balancer.go                 |  78 +-
 .../grpc/balancer/base/balancer.go            |   8 +-
 .../grpc/balancer/conn_state_evaluator.go     |  74 ++
 .../grpc/balancer/roundrobin/roundrobin.go    |  16 +-
 .../grpc/balancer_conn_wrappers.go            | 529 +++++-----
 .../grpc_binarylog_v1/binarylog.pb.go         |  22 +-
 vendor/google.golang.org/grpc/call.go         |   5 +
 .../grpc/channelz/channelz.go                 |   2 +-
 vendor/google.golang.org/grpc/clientconn.go   | 801 +++++++++------
 .../grpc/codes/code_string.go                 |  51 +-
 .../grpc/credentials/credentials.go           |  20 +-
 .../google.golang.org/grpc/credentials/tls.go |   6 +-
 vendor/google.golang.org/grpc/dialoptions.go  | 115 ++-
 .../grpc/encoding/encoding.go                 |   7 +-
 .../grpc/encoding/gzip/gzip.go                |   7 +-
 .../grpc/grpclog/loggerv2.go                  |   9 +-
 .../grpc/health/grpc_health_v1/health.pb.go   |   9 +-
 .../health/grpc_health_v1/health_grpc.pb.go   |  32 +-
 vendor/google.golang.org/grpc/idle.go         | 287 ++++++
 .../balancer/gracefulswitch/gracefulswitch.go |   2 +
 .../grpc/internal/binarylog/binarylog.go      |  35 +-
 .../grpc/internal/binarylog/env_config.go     |  20 +-
 .../grpc/internal/binarylog/method_logger.go  | 153 +--
 .../grpc/internal/binarylog/sink.go           |  12 +-
 .../grpc/internal/buffer/unbounded.go         |  26 +-
 .../grpc/internal/channelz/types.go           |  16 +-
 .../grpc/internal/envconfig/envconfig.go      |  43 +-
 .../grpc/internal/envconfig/observability.go  |  42 +
 .../grpc/internal/envconfig/xds.go            |  52 +-
 .../grpc/internal/grpclog/grpclog.go          |   2 +-
 .../grpc/internal/grpclog/prefixLogger.go     |  12 +
 .../grpc/internal/grpcrand/grpcrand.go        |  21 +
 .../internal/grpcsync/callback_serializer.go  | 119 +++
 .../grpc/internal/grpcsync/oncefunc.go        |  32 +
 .../grpc/internal/grpcutil/compressor.go      |  47 +
 .../grpc/internal/grpcutil/method.go          |   6 +-
 .../grpc/internal/internal.go                 | 101 ++
 .../grpc/internal/metadata/metadata.go        |  62 +-
 .../internal/resolver/dns/dns_resolver.go     |   6 +-
 .../resolver/passthrough/passthrough.go       |  11 +-
 .../grpc/internal/resolver/unix/unix.go       |   9 +-
 .../grpc/internal/serviceconfig/duration.go   | 130 +++
 .../internal/serviceconfig/serviceconfig.go   |   8 +-
 .../grpc/internal/status/status.go            |  10 +
 .../grpc/internal/transport/controlbuf.go     | 131 +--
 .../grpc/internal/transport/defaults.go       |   6 +
 .../grpc/internal/transport/handler_server.go |  80 +-
 .../grpc/internal/transport/http2_client.go   | 387 +++++---
 .../grpc/internal/transport/http2_server.go   | 297 +++---
 .../grpc/internal/transport/http_util.go      |  60 +-
 .../grpc/internal/transport/logging.go        |  40 +
 .../grpc/internal/transport/transport.go      |  47 +-
 .../grpc/metadata/metadata.go                 |  86 +-
 .../google.golang.org/grpc/picker_wrapper.go  |  69 +-
 vendor/google.golang.org/grpc/pickfirst.go    |  58 +-
 vendor/google.golang.org/grpc/preloader.go    |   2 +-
 vendor/google.golang.org/grpc/regenerate.sh   |  14 +-
 .../grpc/resolver/manual/manual.go            |  11 +-
 vendor/google.golang.org/grpc/resolver/map.go |  55 +-
 .../grpc/resolver/resolver.go                 |  72 +-
 .../grpc/resolver_conn_wrapper.go             | 229 +++--
 vendor/google.golang.org/grpc/rpc_util.go     | 109 +-
 vendor/google.golang.org/grpc/server.go       | 542 ++++++----
 .../google.golang.org/grpc/service_config.go  |  90 +-
 .../grpc/serviceconfig/serviceconfig.go       |   2 +-
 vendor/google.golang.org/grpc/stats/stats.go  |  22 +-
 .../google.golang.org/grpc/status/status.go   |  61 +-
 vendor/google.golang.org/grpc/stream.go       | 323 ++++--
 vendor/google.golang.org/grpc/tap/tap.go      |   2 +-
 vendor/google.golang.org/grpc/version.go      |   2 +-
 vendor/google.golang.org/grpc/vet.sh          |  41 +-
 vendor/modules.txt                            |  33 +-
 141 files changed, 6789 insertions(+), 5062 deletions(-)
 create mode 100644 LICENSES/vendor/cloud.google.com/go/compute/LICENSE
 create mode 100644 LICENSES/vendor/cloud.google.com/go/compute/metadata/LICENSE
 rename vendor/cloud.google.com/go/{ => compute}/LICENSE (100%)
 create mode 100644 vendor/cloud.google.com/go/compute/internal/version.go
 create mode 100644 vendor/cloud.google.com/go/compute/metadata/CHANGES.md
 rename {LICENSES/vendor/cloud.google.com/go => vendor/cloud.google.com/go/compute/metadata}/LICENSE (98%)
 create mode 100644 vendor/cloud.google.com/go/compute/metadata/README.md
 create mode 100644 vendor/cloud.google.com/go/compute/metadata/tidyfix.go
 create mode 100644 vendor/google.golang.org/grpc/balancer/conn_state_evaluator.go
 create mode 100644 vendor/google.golang.org/grpc/idle.go
 create mode 100644 vendor/google.golang.org/grpc/internal/envconfig/observability.go
 create mode 100644 vendor/google.golang.org/grpc/internal/grpcsync/callback_serializer.go
 create mode 100644 vendor/google.golang.org/grpc/internal/grpcsync/oncefunc.go
 create mode 100644 vendor/google.golang.org/grpc/internal/grpcutil/compressor.go
 create mode 100644 vendor/google.golang.org/grpc/internal/serviceconfig/duration.go
 create mode 100644 vendor/google.golang.org/grpc/internal/transport/logging.go

diff --git a/go.mod b/go.mod
index cd8c8b1700f..8b4ac06ad80 100644
--- a/go.mod
+++ b/go.mod
@@ -42,7 +42,7 @@ require (
 	github.com/golang/protobuf v1.5.4
 	github.com/google/cadvisor v0.45.1
 	github.com/google/gnostic v0.5.7-v3refs
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/google/gofuzz v1.1.0
 	github.com/google/uuid v1.3.0
 	github.com/heketi/heketi v10.3.0+incompatible
@@ -81,16 +81,16 @@ require (
 	go.uber.org/zap v1.19.0
 	golang.org/x/crypto v0.21.0
 	golang.org/x/net v0.23.0
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
+	golang.org/x/oauth2 v0.7.0
 	golang.org/x/sync v0.1.0
 	golang.org/x/sys v0.18.0
 	golang.org/x/term v0.18.0
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8
 	golang.org/x/tools v0.6.0
 	gonum.org/v1/gonum v0.6.2
-	google.golang.org/api v0.60.0
-	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
-	google.golang.org/grpc v1.47.0
+	google.golang.org/api v0.114.0
+	google.golang.org/genproto v0.0.0-20230410155749-daa745c078e1
+	google.golang.org/grpc v1.56.3
 	google.golang.org/protobuf v1.33.0
 	gopkg.in/gcfg.v1 v1.2.0
 	gopkg.in/square/go-jose.v2 v2.2.2
@@ -131,7 +131,8 @@ require (
 )
 
 require (
-	cloud.google.com/go v0.97.0 // indirect
+	cloud.google.com/go/compute v1.19.1 // indirect
+	cloud.google.com/go/compute/metadata v0.2.3 // indirect
 	github.com/Azure/go-ansiterm v0.0.0-20210617225240-d185dfc1b5a1 // indirect
 	github.com/Azure/go-autorest v14.2.0+incompatible // indirect
 	github.com/Azure/go-autorest/autorest/date v0.3.0 // indirect
@@ -148,7 +149,7 @@ require (
 	github.com/auth0/go-jwt-middleware v1.0.1 // indirect
 	github.com/beorn7/perks v1.0.1 // indirect
 	github.com/boltdb/bolt v1.3.1 // indirect
-	github.com/cespare/xxhash/v2 v2.1.2 // indirect
+	github.com/cespare/xxhash/v2 v2.2.0 // indirect
 	github.com/chai2010/gettext-go v1.0.2 // indirect
 	github.com/checkpoint-restore/go-criu/v5 v5.3.0 // indirect
 	github.com/cilium/ebpf v0.7.0 // indirect
@@ -179,7 +180,7 @@ require (
 	github.com/google/cel-go v0.12.6 // indirect
 	github.com/google/pprof v0.0.0-20210407192527-94a9f03dee38 // indirect
 	github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510 // indirect
-	github.com/googleapis/gax-go/v2 v2.1.1 // indirect
+	github.com/googleapis/gax-go/v2 v2.7.1 // indirect
 	github.com/gophercloud/gophercloud v0.1.0 // indirect
 	github.com/gorilla/mux v1.8.0 // indirect
 	github.com/gorilla/websocket v1.4.2 // indirect
@@ -235,7 +236,7 @@ require (
 	go.etcd.io/etcd/pkg/v3 v3.5.4 // indirect
 	go.etcd.io/etcd/raft/v3 v3.5.4 // indirect
 	go.etcd.io/etcd/server/v3 v3.5.4 // indirect
-	go.opencensus.io v0.23.0 // indirect
+	go.opencensus.io v0.24.0 // indirect
 	go.opentelemetry.io/contrib v0.20.0 // indirect
 	go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.20.0 // indirect
 	go.opentelemetry.io/otel/metric v0.20.0 // indirect
@@ -262,8 +263,11 @@ require (
 replace (
 	bazil.org/fuse => bazil.org/fuse v0.0.0-20160811212531-371fbbdaa898
 	bitbucket.org/bertimus9/systemstat => bitbucket.org/bertimus9/systemstat v0.5.0
-	cloud.google.com/go => cloud.google.com/go v0.97.0
+	cloud.google.com/go => cloud.google.com/go v0.105.0
 	cloud.google.com/go/bigquery => cloud.google.com/go/bigquery v1.8.0
+	cloud.google.com/go/compute => cloud.google.com/go/compute v1.19.1
+	cloud.google.com/go/compute/metadata => cloud.google.com/go/compute/metadata v0.2.3
+	cloud.google.com/go/iam => cloud.google.com/go/iam v0.3.0
 	cloud.google.com/go/storage => cloud.google.com/go/storage v1.10.0
 	dmitri.shuralyov.com/gpu/mtl => dmitri.shuralyov.com/gpu/mtl v0.0.0-20201218220906-28db891af037
 	github.com/Azure/azure-sdk-for-go => github.com/Azure/azure-sdk-for-go v55.0.0+incompatible
@@ -398,6 +402,7 @@ replace (
 	github.com/google/renameio => github.com/google/renameio v0.1.0
 	github.com/google/shlex => github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510
 	github.com/google/uuid => github.com/google/uuid v1.3.0
+	github.com/googleapis/enterprise-certificate-proxy => github.com/googleapis/enterprise-certificate-proxy v0.2.3
 	github.com/googleapis/gax-go/v2 => github.com/googleapis/gax-go/v2 v2.1.1
 	github.com/gophercloud/gophercloud => github.com/gophercloud/gophercloud v0.1.0
 	github.com/gopherjs/gopherjs => github.com/gopherjs/gopherjs v0.0.0-20200217142428-fce0ec30dd00
@@ -553,7 +558,7 @@ replace (
 	google.golang.org/api => google.golang.org/api v0.60.0
 	google.golang.org/appengine => google.golang.org/appengine v1.6.7
 	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
-	google.golang.org/grpc => google.golang.org/grpc v1.47.0
+	google.golang.org/grpc => google.golang.org/grpc v1.56.3
 	google.golang.org/grpc/cmd/protoc-gen-go-grpc => google.golang.org/grpc/cmd/protoc-gen-go-grpc v1.1.0
 	google.golang.org/protobuf => google.golang.org/protobuf v1.33.0
 	gopkg.in/alecthomas/kingpin.v2 => gopkg.in/alecthomas/kingpin.v2 v2.2.6
diff --git a/staging/src/k8s.io/api/go.mod b/staging/src/k8s.io/api/go.mod
index 7fbcd4fe44a..abb727f9c11 100644
--- a/staging/src/k8s.io/api/go.mod
+++ b/staging/src/k8s.io/api/go.mod
@@ -14,7 +14,7 @@ require (
 	github.com/davecgh/go-spew v1.1.1 // indirect
 	github.com/go-logr/logr v1.2.3 // indirect
 	github.com/golang/protobuf v1.5.4 // indirect
-	github.com/google/go-cmp v0.5.8 // indirect
+	github.com/google/go-cmp v0.5.9 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/json-iterator/go v1.1.12 // indirect
 	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
@@ -35,6 +35,7 @@ require (
 )
 
 replace (
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
diff --git a/staging/src/k8s.io/apiextensions-apiserver/go.mod b/staging/src/k8s.io/apiextensions-apiserver/go.mod
index d4400366cf0..107830a44cb 100644
--- a/staging/src/k8s.io/apiextensions-apiserver/go.mod
+++ b/staging/src/k8s.io/apiextensions-apiserver/go.mod
@@ -9,7 +9,7 @@ require (
 	github.com/gogo/protobuf v1.3.2
 	github.com/google/cel-go v0.12.6
 	github.com/google/gnostic v0.5.7-v3refs
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/google/gofuzz v1.1.0
 	github.com/google/uuid v1.3.0
 	github.com/spf13/cobra v1.4.0
@@ -18,8 +18,8 @@ require (
 	go.etcd.io/etcd/client/pkg/v3 v3.5.4
 	go.etcd.io/etcd/client/v3 v3.5.4
 	go.opentelemetry.io/otel/trace v0.20.0
-	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
-	google.golang.org/grpc v1.47.0
+	google.golang.org/genproto v0.0.0-20230410155749-daa745c078e1
+	google.golang.org/grpc v1.56.3
 	google.golang.org/protobuf v1.33.0
 	gopkg.in/yaml.v2 v2.4.0
 	k8s.io/api v0.0.0
@@ -37,6 +37,7 @@ require (
 )
 
 require (
+	cloud.google.com/go/compute/metadata v0.2.3 // indirect
 	github.com/NYTimes/gziphandler v1.1.1 // indirect
 	github.com/PuerkitoBio/purell v1.1.1 // indirect
 	github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578 // indirect
@@ -44,7 +45,7 @@ require (
 	github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a // indirect
 	github.com/beorn7/perks v1.0.1 // indirect
 	github.com/blang/semver/v4 v4.0.0 // indirect
-	github.com/cespare/xxhash/v2 v2.1.2 // indirect
+	github.com/cespare/xxhash/v2 v2.2.0 // indirect
 	github.com/coreos/go-semver v0.3.0 // indirect
 	github.com/coreos/go-systemd/v22 v22.3.2 // indirect
 	github.com/davecgh/go-spew v1.1.1 // indirect
@@ -108,7 +109,7 @@ require (
 	golang.org/x/crypto v0.21.0 // indirect
 	golang.org/x/mod v0.8.0 // indirect
 	golang.org/x/net v0.23.0 // indirect
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8 // indirect
+	golang.org/x/oauth2 v0.7.0 // indirect
 	golang.org/x/sync v0.1.0 // indirect
 	golang.org/x/sys v0.18.0 // indirect
 	golang.org/x/term v0.18.0 // indirect
@@ -124,10 +125,21 @@ require (
 )
 
 replace (
+	github.com/census-instrumentation/opencensus-proto => github.com/census-instrumentation/opencensus-proto v0.2.1
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/cncf/udpa/go => github.com/cncf/udpa/go v0.0.0-20210930031921-04548b0d99d4
+	github.com/cncf/xds/go => github.com/cncf/xds/go v0.0.0-20211011173535-cb28da3451f1
+	github.com/envoyproxy/go-control-plane => github.com/envoyproxy/go-control-plane v0.10.2-0.20220325020618-49ff273808a1
+	github.com/envoyproxy/protoc-gen-validate => github.com/envoyproxy/protoc-gen-validate v0.1.0
+	github.com/golang/glog => github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/api => ../api
 	k8s.io/apiextensions-apiserver => ../apiextensions-apiserver
 	k8s.io/apimachinery => ../apimachinery
diff --git a/staging/src/k8s.io/apimachinery/go.mod b/staging/src/k8s.io/apimachinery/go.mod
index 55b56cf39e4..928cda9c0f4 100644
--- a/staging/src/k8s.io/apimachinery/go.mod
+++ b/staging/src/k8s.io/apimachinery/go.mod
@@ -12,7 +12,7 @@ require (
 	github.com/gogo/protobuf v1.3.2
 	github.com/golang/protobuf v1.5.4
 	github.com/google/gnostic v0.5.7-v3refs
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/google/gofuzz v1.1.0
 	github.com/google/uuid v1.3.0
 	github.com/moby/spdystream v0.2.0
@@ -48,9 +48,14 @@ require (
 )
 
 replace (
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/apimachinery => ../apimachinery
 )
diff --git a/staging/src/k8s.io/apiserver/go.mod b/staging/src/k8s.io/apiserver/go.mod
index b49200719b3..30dce12fc00 100644
--- a/staging/src/k8s.io/apiserver/go.mod
+++ b/staging/src/k8s.io/apiserver/go.mod
@@ -13,7 +13,7 @@ require (
 	github.com/fsnotify/fsnotify v1.4.9
 	github.com/gogo/protobuf v1.3.2
 	github.com/google/gnostic v0.5.7-v3refs
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/google/gofuzz v1.1.0
 	github.com/google/uuid v1.3.0
 	github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0
@@ -35,7 +35,7 @@ require (
 	golang.org/x/net v0.23.0
 	golang.org/x/sync v0.1.0
 	golang.org/x/sys v0.18.0
-	google.golang.org/grpc v1.47.0
+	google.golang.org/grpc v1.56.3
 	gopkg.in/natefinch/lumberjack.v2 v2.0.0
 	gopkg.in/square/go-jose.v2 v2.2.2
 	k8s.io/api v0.0.0
@@ -52,12 +52,13 @@ require (
 )
 
 require (
+	cloud.google.com/go/compute/metadata v0.2.3 // indirect
 	github.com/NYTimes/gziphandler v1.1.1 // indirect
 	github.com/PuerkitoBio/purell v1.1.1 // indirect
 	github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578 // indirect
 	github.com/beorn7/perks v1.0.1 // indirect
 	github.com/blang/semver/v4 v4.0.0 // indirect
-	github.com/cespare/xxhash/v2 v2.1.2 // indirect
+	github.com/cespare/xxhash/v2 v2.2.0 // indirect
 	github.com/coreos/go-semver v0.3.0 // indirect
 	github.com/dustin/go-humanize v1.0.0 // indirect
 	github.com/felixge/httpsnoop v1.0.1 // indirect
@@ -105,12 +106,12 @@ require (
 	go.opentelemetry.io/proto/otlp v0.7.0 // indirect
 	go.uber.org/atomic v1.7.0 // indirect
 	go.uber.org/multierr v1.6.0 // indirect
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8 // indirect
+	golang.org/x/oauth2 v0.7.0 // indirect
 	golang.org/x/term v0.18.0 // indirect
 	golang.org/x/text v0.14.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
+	google.golang.org/genproto v0.0.0-20230410155749-daa745c078e1 // indirect
 	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
@@ -118,10 +119,21 @@ require (
 )
 
 replace (
+	github.com/census-instrumentation/opencensus-proto => github.com/census-instrumentation/opencensus-proto v0.2.1
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/cncf/udpa/go => github.com/cncf/udpa/go v0.0.0-20210930031921-04548b0d99d4
+	github.com/cncf/xds/go => github.com/cncf/xds/go v0.0.0-20211011173535-cb28da3451f1
+	github.com/envoyproxy/go-control-plane => github.com/envoyproxy/go-control-plane v0.10.2-0.20220325020618-49ff273808a1
+	github.com/envoyproxy/protoc-gen-validate => github.com/envoyproxy/protoc-gen-validate v0.1.0
+	github.com/golang/glog => github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/api => ../api
 	k8s.io/apimachinery => ../apimachinery
 	k8s.io/apiserver => ../apiserver
diff --git a/staging/src/k8s.io/cli-runtime/go.mod b/staging/src/k8s.io/cli-runtime/go.mod
index fcb01daddef..f2d7478a691 100644
--- a/staging/src/k8s.io/cli-runtime/go.mod
+++ b/staging/src/k8s.io/cli-runtime/go.mod
@@ -37,7 +37,7 @@ require (
 	github.com/gogo/protobuf v1.3.2 // indirect
 	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/btree v1.0.1 // indirect
-	github.com/google/go-cmp v0.5.8 // indirect
+	github.com/google/go-cmp v0.5.9 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510 // indirect
 	github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7 // indirect
@@ -56,7 +56,7 @@ require (
 	github.com/xlab/treeprint v1.1.0 // indirect
 	go.starlark.net v0.0.0-20200306205701-8dd3e2ee1dd5 // indirect
 	golang.org/x/net v0.23.0 // indirect
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8 // indirect
+	golang.org/x/oauth2 v0.7.0 // indirect
 	golang.org/x/sys v0.18.0 // indirect
 	golang.org/x/term v0.18.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
@@ -70,10 +70,15 @@ require (
 )
 
 replace (
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/api => ../api
 	k8s.io/apimachinery => ../apimachinery
 	k8s.io/cli-runtime => ../cli-runtime
diff --git a/staging/src/k8s.io/client-go/go.mod b/staging/src/k8s.io/client-go/go.mod
index 31b8b46732b..4a011ee24e5 100644
--- a/staging/src/k8s.io/client-go/go.mod
+++ b/staging/src/k8s.io/client-go/go.mod
@@ -13,7 +13,7 @@ require (
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da
 	github.com/golang/protobuf v1.5.4
 	github.com/google/gnostic v0.5.7-v3refs
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/google/gofuzz v1.1.0
 	github.com/google/uuid v1.3.0
 	github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7
@@ -22,7 +22,7 @@ require (
 	github.com/spf13/pflag v1.0.5
 	github.com/stretchr/testify v1.8.0
 	golang.org/x/net v0.23.0
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
+	golang.org/x/oauth2 v0.7.0
 	golang.org/x/term v0.18.0
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8
 	google.golang.org/protobuf v1.33.0
@@ -36,7 +36,8 @@ require (
 )
 
 require (
-	cloud.google.com/go v0.97.0 // indirect
+	cloud.google.com/go/compute v1.19.1 // indirect
+	cloud.google.com/go/compute/metadata v0.2.3 // indirect
 	github.com/Azure/go-autorest v14.2.0+incompatible // indirect
 	github.com/Azure/go-autorest/autorest/date v0.3.0 // indirect
 	github.com/Azure/go-autorest/logger v0.2.1 // indirect
@@ -70,10 +71,17 @@ require (
 )
 
 replace (
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
+	github.com/googleapis/gax-go/v2 => github.com/googleapis/gax-go/v2 v2.1.1
+	go.opencensus.io => go.opencensus.io v0.23.0
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/api => ../api
 	k8s.io/apimachinery => ../apimachinery
 	k8s.io/client-go => ../client-go
diff --git a/staging/src/k8s.io/cloud-provider/go.mod b/staging/src/k8s.io/cloud-provider/go.mod
index 404af881f92..db6c37bf06a 100644
--- a/staging/src/k8s.io/cloud-provider/go.mod
+++ b/staging/src/k8s.io/cloud-provider/go.mod
@@ -5,7 +5,7 @@ module k8s.io/cloud-provider
 go 1.19
 
 require (
-	github.com/google/go-cmp v0.5.8
+	github.com/google/go-cmp v0.5.9
 	github.com/spf13/cobra v1.4.0
 	github.com/spf13/pflag v1.0.5
 	github.com/stretchr/testify v1.8.0
@@ -21,13 +21,14 @@ require (
 )
 
 require (
+	cloud.google.com/go/compute/metadata v0.2.3 // indirect
 	github.com/Azure/go-ansiterm v0.0.0-20210617225240-d185dfc1b5a1 // indirect
 	github.com/NYTimes/gziphandler v1.1.1 // indirect
 	github.com/PuerkitoBio/purell v1.1.1 // indirect
 	github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578 // indirect
 	github.com/beorn7/perks v1.0.1 // indirect
 	github.com/blang/semver/v4 v4.0.0 // indirect
-	github.com/cespare/xxhash/v2 v2.1.2 // indirect
+	github.com/cespare/xxhash/v2 v2.2.0 // indirect
 	github.com/coreos/go-semver v0.3.0 // indirect
 	github.com/coreos/go-systemd/v22 v22.3.2 // indirect
 	github.com/davecgh/go-spew v1.1.1 // indirect
@@ -82,15 +83,15 @@ require (
 	go.uber.org/zap v1.19.0 // indirect
 	golang.org/x/crypto v0.21.0 // indirect
 	golang.org/x/net v0.23.0 // indirect
-	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8 // indirect
+	golang.org/x/oauth2 v0.7.0 // indirect
 	golang.org/x/sync v0.1.0 // indirect
 	golang.org/x/sys v0.18.0 // indirect
 	golang.org/x/term v0.18.0 // indirect
 	golang.org/x/text v0.14.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
-	google.golang.org/grpc v1.47.0 // indirect
+	google.golang.org/genproto v0.0.0-20230410155749-daa745c078e1 // indirect
+	google.golang.org/grpc v1.56.3 // indirect
 	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
@@ -104,10 +105,21 @@ require (
 )
 
 replace (
+	github.com/census-instrumentation/opencensus-proto => github.com/census-instrumentation/opencensus-proto v0.2.1
+	github.com/cespare/xxhash/v2 => github.com/cespare/xxhash/v2 v2.1.2
+	github.com/cncf/udpa/go => github.com/cncf/udpa/go v0.0.0-20210930031921-04548b0d99d4
+	github.com/cncf/xds/go => github.com/cncf/xds/go v0.0.0-20211011173535-cb28da3451f1
+	github.com/envoyproxy/go-control-plane => github.com/envoyproxy/go-control-plane v0.10.2-0.20220325020618-49ff273808a1
+	github.com/envoyproxy/protoc-gen-validate => github.com/envoyproxy/protoc-gen-validate v0.1.0
+	github.com/golang/glog => github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
+	golang.org/x/oauth2 => golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
 	golang.org/x/text => golang.org/x/text v0.13.0
+	google.golang.org/api => google.golang.org/api v0.60.0
+	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	k8s.io/api => ../api
 	k8s.io/apimachinery => ../apimachinery
 	k8s.io/apiserver => ../apiserver
diff --git a/staging/src/k8s.io/cluster-bootstrap/go.mod b/staging/src/k8s.io/cluster-bootstrap/go.mod
index d7f87434b1d..69b60bed7b1 100644
--- a/staging/src/k8s.io/cluster-bootstrap/go.mod
+++ b/staging/src/k8s.io/cluster-bootstrap/go.mod
@@ -33,6 +33,7 @@ require (
 )
 
 replace (
+	github.com/google/go-cmp => github.com/google/go-cmp v0.5.8
 	golang.org/x/crypto => golang.org/x/crypto v0.14.0
 	golang.org/x/sys => golang.org/x/sys v0.13.0
 	golang.org/x/term => golang.org/x/term v0.13.0
